""" package supplying utility functions for math and numpy support

    The :mod:`~rayoptics.util` subpackage provides miscellaneous functions for
    geometric calculations, color calculations and anything else that doesn't
    have an obvious home. These include:

        - miscellaneous math functions,
          :mod:`~.misc_math`
          :mod:`~.line_intersection`
        - support for color handling, :mod:`~.colors` :mod:`~.colour_system`
        - spectral line conversion with :func:`~.spectral_lines.get_wavelength`
          in :mod:`~.spectral_lines`
        - a 2D dict with M x N keys, :mod:`~.dict2d`
"""
